/*
 *  compiler.h
 *		Defines different macros depending on the compiler to
 *		portably use features of different compilers, like the
 *		'__inline__' keyword in GCC.
 *
 *
 *  Copyright (C) 1990	Lysator Computer Club,
 *			Linkoping University,  Sweden
 *
 *  Everyone is granted permission to copy, modify and redistribute
 *  this code, provided the people they give it to can.
 *
 *
 *  Author:	Thomas Bellman
 *		Lysator Computer Club
 *		Linkoping University
 *		Sweden
 *
 *  email:	Bellman@Lysator.LiU.SE
 */


#ifndef  SPECIAL_H_ALREADY_INCLUDED__
#define  SPECIAL_H_ALREADY_INCLUDED__


#ifdef __GNUC__

#	define	Inline		__inline__	/* Inline function */
#	define	Volatile	volatile	/* Function does not return */

#else

#	define	Inline
#	define	Volatile

#endif


#endif  /*  SPECIAL_H_ALREADY_INCLUDED__  */
