/*
** strerror.c
*/
#include "config.h"

#ifndef HAVE_STRERROR

extern int sys_nerr;
extern char *sys_errlist[];

char *strerror(int eno)
{
  static char buf[20];

  if (eno < 0 || eno >= sys_nerr)
  {
    sprintf(buf, "Error %d", eno);
    return buf;
  }
  else
    return sys_errlist[eno];
}
#endif
